from kipris_api_from_publicdata import Kipris

# 테스트를 위한 URL 및 파라미터 설정
apikey = 'X9Tz3JqC/JcCwxnNewA6qdloIN6QFIitVBgS1a2KVDYk1AmddaDTvzr6+t3dyLZV3gh2TPXdNhxsRQwaKP673Q=='
search_keyword = "써지오"
url = 'http://kipo-api.kipi.or.kr/openapi/service/trademarkInfoSearchService/getWordSearch'

params = {
    'serviceKey': apikey,
    'searchString': search_keyword,
    'searchRecentYear': '0',
    'title': '',
    'fullText': '',
    'drawing': '',
    'bigDrawing': ''
}

# XMLParser 인스턴스 생성 및 실행
parser = Kipris(url, params)
results = parser.run()

# 모든 아이템의 결과 출력
if results:
    print("결과가 있는 아이템 목록:")
    for index, item in enumerate(results, start=1):
        print(f"\n아이템 {index} 정보:")
        for key, value in item.items():
            print(f"{key}: {value}")
else:
    print("결과가 없습니다.")


# ※ 행정 상태 도움말
# 거절 : 출원 후 특허 심사과정에서 실체적인 특허 등록요건을 만족하지 못할 경우에 심사관이 취하는 행정처분
# 등록 : 심사관이 심사한 결과 등록요건에 적합하여 설정등록을 받을 수 있다는 내용의 행정처분
# 소멸 : 특허등록 후 존속기간이 만료되어 권리가 소멸된 상태
# 무효 : 출원 또는 등록된 상태에 대하여 특정 사유로 인해 그 권리나 행위가 무효화 된 상태
# 취하 : 출원한 특허가 등록되기전 여러 사유로 인하여 출원이 취소된 상태
# 포기 : 출원인의 포기서 제출, 등록료 불납 등으로 등록결정이나 권리를 포기한 상태
# 공개 : 출원이나 등록사실이 일반 공중에게 공표된 상태로 출원 후 18개월이 지난 건
# ＊조기공개신청시 18개월 미만도 공개가능
# 